MyGUI_TextureUtility.h File Reference
`#include "MyGUI_Prerequest.h"`
`#include "MyGUI_Colour.h"`
`#include "MyGUI_RenderFormat.h"`

Go to the source code of this file.

## Namespaces

namespace | MyGUI
namespace | MyGUI::texture_utility

## Functions

const IntSize & | MyGUI::texture_utility::getTextureSize (const std::string &_texture, bool _cache=true)
uint32 | MyGUI::texture_utility::toNativeColour (const Colour &_colour, VertexColourType _format)
| Convert Colour to 32-bit representation.
void | MyGUI::texture_utility::convertColour (uint32 &_colour, VertexColourType _format)
| Convert from 32-bit ARGB to native colour (ABGR or ARGB).
uint32 | MyGUI::texture_utility::toColourARGB (const Colour &_colour)